package com.bonus.core.customer.v4.api.dto;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

public class CardReportDTO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("卡物理号")
   private String serialNum;
   @ApiModelProperty("三方卡号")
   private String thirdSerialNum;
   @ApiModelProperty("卡状态 1-正常 4-挂失")
   private @NotNull(
   message = "卡状态不能为空 1-正常 4-挂失"
) Integer cardStatus;
   @ApiModelProperty("第三方人员id")
   private String custThirdId;

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getThirdSerialNum() {
      return this.thirdSerialNum;
   }

   public Integer getCardStatus() {
      return this.cardStatus;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public CardReportDTO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CardReportDTO setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
      return this;
   }

   public CardReportDTO setThirdSerialNum(final String thirdSerialNum) {
      this.thirdSerialNum = thirdSerialNum;
      return this;
   }

   public CardReportDTO setCardStatus(final Integer cardStatus) {
      this.cardStatus = cardStatus;
      return this;
   }

   public CardReportDTO setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
      return this;
   }

}
